pkgsrc-Changes-HG archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

[pkgsrc/trunk]: pkgsrc/security/mozilla-rootcerts Add support for -d destdir ...



details:   https://anonhg.NetBSD.org/pkgsrc/rev/8a2a3a8055b7
branches:  trunk
changeset: 650134:8a2a3a8055b7
user:      dholland <dholland%pkgsrc.org@localhost>
date:      Sat Apr 18 20:11:35 2015 +0000

description:
Add support for -d destdir to the mozilla-rootcerts installer script.

diffstat:

 security/mozilla-rootcerts/Makefile                   |   3 +-
 security/mozilla-rootcerts/files/mozilla-rootcerts.sh |  22 ++++++++++--------
 2 files changed, 14 insertions(+), 11 deletions(-)

diffs (75 lines):

diff -r fa0ad80949f6 -r 8a2a3a8055b7 security/mozilla-rootcerts/Makefile
--- a/security/mozilla-rootcerts/Makefile       Sat Apr 18 19:53:59 2015 +0000
+++ b/security/mozilla-rootcerts/Makefile       Sat Apr 18 20:11:35 2015 +0000
@@ -1,6 +1,7 @@
-# $NetBSD: Makefile,v 1.17 2015/02/16 13:09:10 tnn Exp $
+# $NetBSD: Makefile,v 1.18 2015/04/18 20:11:35 dholland Exp $
 
 DISTNAME=      mozilla-rootcerts-1.0.${CERTDATA_DATE}
+PKGREVISION=   1
 CATEGORIES=    security
 MASTER_SITES=  -https://hg.mozilla.org/mozilla-central/raw-file/7f6a55544bb3/security/nss/lib/ckfw/builtins/certdata.txt
 DISTFILES=     ${CERTDATA}
diff -r fa0ad80949f6 -r 8a2a3a8055b7 security/mozilla-rootcerts/files/mozilla-rootcerts.sh
--- a/security/mozilla-rootcerts/files/mozilla-rootcerts.sh     Sat Apr 18 19:53:59 2015 +0000
+++ b/security/mozilla-rootcerts/files/mozilla-rootcerts.sh     Sat Apr 18 20:11:35 2015 +0000
@@ -1,6 +1,6 @@
 #!/bin/sh
 #
-# $NetBSD: mozilla-rootcerts.sh,v 1.8 2015/01/27 13:54:10 jperkin Exp $
+# $NetBSD: mozilla-rootcerts.sh,v 1.9 2015/04/18 20:11:35 dholland Exp $
 #
 # This script is meant to be used as follows:
 #
@@ -22,15 +22,17 @@
 self="@LOCALBASE@/sbin/mozilla-rootcerts"
 certfile="@DATADIR@/certdata.txt"
 certdir="/etc/ssl/certs"
+destdir=
 
 usage()
 {
-       ${ECHO} 1>&2 "usage: $self [-f certfile] extract|rehash|install"
+       ${ECHO} 1>&2 "usage: $self [-d destdir] [-f certfile] extract|rehash|install"
        exit $1
 }
 
 while [ $# -gt 0 ]; do
        case "$1" in
+       -d)     destdir="$2"; shift 2;;
        -f)     certfile="$2"; shift 2 ;;
        --)     shift; break ;;
        -*)     ${ECHO} 1>&2 "$self: unknown option -- $1"
@@ -181,24 +183,24 @@
        }'
        ;;
 install)
-       if [ ! -d $SSLDIR ]; then
-               ${ECHO} 1>&2 "ERROR: $SSLDIR does not exist, aborting."
+       if [ ! -d $destdir$SSLDIR ]; then
+               ${ECHO} 1>&2 "ERROR: $destdir$SSLDIR does not exist, aborting."
                exit 1
        fi
-       cd $SSLDIR
+       cd $destdir$SSLDIR
        if [ -n "`${LS}`" ]; then
-               ${ECHO} 1>&2 "ERROR: $SSLDIR already contains certificates, aborting."
+               ${ECHO} 1>&2 "ERROR: $destdir$SSLDIR already contains certificates, aborting."
                exit 1
        fi
        set -e
        $self extract
        $self rehash
        set +e
-       if [ -d $certdir ]; then
-               ${ECHO} 1>&2 "ERROR: $certdir already exists, aborting."
+       if [ -d $destdir$certdir ]; then
+               ${ECHO} 1>&2 "ERROR: $destdir$certdir already exists, aborting."
                exit 1
        fi
        set -e
-       $MKDIR $certdir
-       cat $SSLDIR/*.pem > $certdir/ca-certificates.crt
+       $MKDIR $destdir$certdir
+       cat $destdir$SSLDIR/*.pem > $destdir$certdir/ca-certificates.crt
 esac



Home | Main Index | Thread Index | Old Index